# Update additional information

PATCH https://api.letsdeel.com/rest/v2/eor/workers/contracts/{contract_id}/additional-information
Content-Type: application/json

Updates additional information for an EOR employee agreement. Only works if the employee’s contract status is new, under_review, or waiting_for_employee_contract. Using other statuses can cause errors.
 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-information/update-eor-worker-additional-information

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/workers/contracts/{contract_id}/additional-information:
    patch:
      operationId: update-eor-worker-additional-information
      summary: Update additional information
      description: >-
        Updates additional information for an EOR employee agreement. Only works
        if the employee’s contract status is new, under_review, or
        waiting_for_employee_contract. Using other statuses can cause errors.
         **Token scopes**: `worker:write`
      tags:
        - subpackage_eorWorkerInformation
      parameters:
        - name: contract_id
          in: path
          description: Deel contract id.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-worker-information_updateEORWorkerAdditionalInformation_Response_200
        '400':
          description: >-
            Bad request. Contract not found, contract is not EOR, or additional
            information validation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestBadRequestError
        '401':
          description: Authentication failed. Bearer token is missing, expired, or invalid.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestUnauthorizedError
        '403':
          description: >-
            Forbidden. The token lacks worker:write scope or the worker cannot
            update this contract.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestForbiddenError
        '404':
          description: >-
            Not found. No additional info template exists for the employment
            country/state.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestNotFoundError
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestTooManyRequestsError
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateAdditionalInformation-v2026-01-01RequestInternalServerError
      requestBody:
        description: Patch additional information for an EOR employee contract.
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData
                  description: >-
                    You can submit any subset of fields. Keys not listed above
                    are treated as country/state-specific additional information
                    fields. Those keys must match the fields returned by GET
                    /forms/eor/worker-additional-fields/{country_code} (public
                    keys).
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        dob:
          type: string
          description: Date of birth (ISO 8601 date)
        city:
          type: string
          description: City
        phone:
          type: string
          description: Worker phone
        state:
          type: string
          description: State/province
        street:
          type: string
          description: Street
        zip_code:
          type: string
          description: Zipcode/Post code
        tax_residence:
          type: string
          description: Worker tax residence
        is_payslip_access_allowed:
          type: boolean
          description: Worker access to payslips
        is_compliance_access_allowed:
          type: boolean
          description: Worker access to compliance documents
      description: >-
        You can submit any subset of fields. Keys not listed above are treated
        as country/state-specific additional information fields. Those keys must
        match the fields returned by GET
        /forms/eor/worker-additional-fields/{country_code} (public keys).
      title: >-
        EorWorkersContractsContractIdAdditionalInformationPatchRequestBodyContentApplicationJsonSchemaData
    EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        updated:
          type: boolean
          description: Indicates if contract was updated
      required:
        - updated
      title: >-
        EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaData
    eor-worker-information_updateEORWorkerAdditionalInformation_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-worker-information_updateEORWorkerAdditionalInformation_Response_200
    EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: >-
        EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
    UpdateAdditionalInformation-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestBadRequestError
    UpdateAdditionalInformation-v2026-01-01RequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestUnauthorizedError
    UpdateAdditionalInformation-v2026-01-01RequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestForbiddenError
    UpdateAdditionalInformation-v2026-01-01RequestNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestNotFoundError
    UpdateAdditionalInformation-v2026-01-01RequestTooManyRequestsError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestTooManyRequestsError
    UpdateAdditionalInformation-v2026-01-01RequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdAdditionalInformationPatchResponsesContentApplicationJsonSchemaErrorsItems
      required:
        - errors
      title: UpdateAdditionalInformation-v2026-01-01RequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information"

payload = { "body": { "data": {
            "emergency_contact_name": "Jane Doe",
            "emergency_contact_phone": "+1-555-123-4567",
            "preferred_language": "English",
            "work_location": "New York Office",
            "additional_notes": "Requires ergonomic chair due to back issues"
        } } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"body":{"data":{"emergency_contact_name":"Jane Doe","emergency_contact_phone":"+1-555-123-4567","preferred_language":"English","work_location":"New York Office","additional_notes":"Requires ergonomic chair due to back issues"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information"

	payload := strings.NewReader("{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+1-555-123-4567\",\n      \"preferred_language\": \"English\",\n      \"work_location\": \"New York Office\",\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+1-555-123-4567\",\n      \"preferred_language\": \"English\",\n      \"work_location\": \"New York Office\",\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+1-555-123-4567\",\n      \"preferred_language\": \"English\",\n      \"work_location\": \"New York Office\",\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information', [
  'body' => '{
  "body": {
    "data": {
      "emergency_contact_name": "Jane Doe",
      "emergency_contact_phone": "+1-555-123-4567",
      "preferred_language": "English",
      "work_location": "New York Office",
      "additional_notes": "Requires ergonomic chair due to back issues"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"body\": {\n    \"data\": {\n      \"emergency_contact_name\": \"Jane Doe\",\n      \"emergency_contact_phone\": \"+1-555-123-4567\",\n      \"preferred_language\": \"English\",\n      \"work_location\": \"New York Office\",\n      \"additional_notes\": \"Requires ergonomic chair due to back issues\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["body": ["data": [
      "emergency_contact_name": "Jane Doe",
      "emergency_contact_phone": "+1-555-123-4567",
      "preferred_language": "English",
      "work_location": "New York Office",
      "additional_notes": "Requires ergonomic chair due to back issues"
    ]]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/workers/contracts/37nex2x/additional-information")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```